
export interface MetaProbeStatus {
  id?: number;
  key?: string;
  name?: string;
  createDate?: Date;
}

export enum MetaProbeStatusEnum {
  INITIAL = 'INITIAL',
  NORMAL = 'NORMAL',
}

export const toMetaProbeStatusEnum = (v: MetaProbeStatus): MetaProbeStatusEnum => {
  return MetaProbeStatusEnum[v.key];
};

export const toMetaProbeStatus = (v: MetaProbeStatusEnum): MetaProbeStatus => {
  return {
    key: v,
  };
};
